MFontDriver Struct Reference
Collaboration diagram for MFontDriver:
[legend]

## Data Fields

MFont *(* | select )(MFrame *frame, MFont *font, int limited_size)
MRealizedFont *(* | open )(MFrame *frame, MFont *font, MFont *spec, MRealizedFont *rfont)
void(* | find_metric )(MRealizedFont *rfont, MGlyphString *gstring, int from, int to)
int(* | has_char )(MFrame *frame, MFont *font, MFont *spec, int c, unsigned code)
unsigned(* | encode_char )(MFrame *frame, MFont *font, MFont *spec, unsigned code)
void(* | render )(MDrawWindow win, int x, int y, MGlyphString *gstring, MGlyph *from, MGlyph *to, int reverse, MDrawRegion region)
int(* | list )(MFrame *frame, MPlist *plist, MFont *font, int maxnum)
void(* | list_family_names )(MFrame *frame, MPlist *plist)
int(* | check_capability )(MRealizedFont *rfont, MSymbol capability)
MRealizedFont *(* | encapsulate )(MFrame *frame, MSymbol source, void *data)
void(* | close )(MRealizedFont *rfont)
int(* | check_otf )(MFLTFont *font, MFLTOtfSpec *spec)
int(* | drive_otf )(MFLTFont *font, MFLTOtfSpec *spec, MFLTGlyphString *in, int from, int to, MFLTGlyphString *out, MFLTGlyphAdjustment *adjustment)
int(* | try_otf )(MFLTFont *font, MFLTOtfSpec *spec, MFLTGlyphString *in, int from, int to)
int(* | iterate_otf_feature )(struct _MFLTFont *font, MFLTOtfSpec *spec, int from, int to, unsigned char *table)

## Field Documentation

## select

MFont*(* MFontDriver::select) (MFrame *frame, MFont *font, int limited_size)

## open

MRealizedFont*(* MFontDriver::open) (MFrame *frame, MFont *font, MFont *spec, MRealizedFont *rfont)

## find_metric

void(* MFontDriver::find_metric) (MRealizedFont *rfont, MGlyphString *gstring, int from, int to)

## has_char

int(* MFontDriver::has_char) (MFrame *frame, MFont *font, MFont *spec, int c, unsigned code)

## encode_char

unsigned(* MFontDriver::encode_char) (MFrame *frame, MFont *font, MFont *spec, unsigned code)

## render

void(* MFontDriver::render) (MDrawWindow win, int x, int y, MGlyphString *gstring, MGlyph *from, MGlyph *to, int reverse, MDrawRegion region)

## list

int(* MFontDriver::list) (MFrame *frame, MPlist *plist, MFont *font, int maxnum)

## list_family_names

void(* MFontDriver::list_family_names) (MFrame *frame, MPlist *plist)

## check_capability

int(* MFontDriver::check_capability) (MRealizedFont *rfont, MSymbol capability)

## encapsulate

MRealizedFont*(* MFontDriver::encapsulate) (MFrame *frame, MSymbol source, void *data)

## close

void(* MFontDriver::close) (MRealizedFont *rfont)

## check_otf

int(* MFontDriver::check_otf) (MFLTFont *font, MFLTOtfSpec *spec)

## drive_otf

int(* MFontDriver::drive_otf) (MFLTFont *font, MFLTOtfSpec *spec, MFLTGlyphString *in, int from, int to, MFLTGlyphString *out, MFLTGlyphAdjustment *adjustment)

## try_otf

int(* MFontDriver::try_otf) (MFLTFont *font, MFLTOtfSpec *spec, MFLTGlyphString *in, int from, int to)

## iterate_otf_feature

int(* MFontDriver::iterate_otf_feature) (struct _MFLTFont *font, MFLTOtfSpec *spec, int from, int to, unsigned char *table)